# Parameters

{% hint style="info" %}
**API SUBPATH**: eva-parameter
{% endhint %}

## Environment Parameters

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/parameters" method="post" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/v2/parameters" method="get" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/parameters" method="get" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

## PUT /org/{orgUUID}/env/{envUUID}/parameters/{parameterId}

> Updates an existing parameter/configuration for a specific bot.\
> Those take precedence over environment configurations.<br>

```json
{"openapi":"3.0.1","info":{"title":"eva-parameter API Documentation","version":"4.8.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/{parameterId}":{"put":{"tags":["Env Parameters"],"summary":"Updates an existing parameter/configuration for a specific bot.\nThose take precedence over environment configurations.\n","operationId":"update","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"parameterId","in":"path","description":"Represents the id of configuration","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Parameter with that id and botUUID doesn't exist","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"420":{"description":"This key is already being used","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterResponseDTO"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Bot not exists","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParameterRequestDTO":{"required":["description","key","value"],"type":"object","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"}},"description":"DTO to request create or update parameter/configuration with key, value, description and enabled"},"ParameterResponseDTO":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ParameterDataDTO"},"message":{"type":"string","description":"Represents the operation status, which can be OK or NOK"}},"description":"DTO returned when create or update parameter/configuration"},"ParameterDataDTO":{"type":"object","properties":{"id":{"type":"string","description":"Parameter's id","deprecated":true},"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}},"description":"DTO with data of parameter/configuration after creating or updating id, enabled, description, key and value"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## DELETE /org/{orgUUID}/env/{envUUID}/parameters/{parameterId}

> Delete a parameter/configuration

```json
{"openapi":"3.0.1","info":{"title":"eva-parameter API Documentation","version":"4.8.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/{parameterId}":{"delete":{"tags":["Env Parameters"],"summary":"Delete a parameter/configuration","operationId":"delete","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"parameterId","in":"path","description":"Represents the id of configuration","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Configuration is not erasable","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Parameter with that id doesn't exist","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/parameters/version" method="get" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/parameters/automated-learning" method="get" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

## Bot Parameters

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters" method="post" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/update-reserved" method="post" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/v2/parameters" method="get" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters" method="get" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/{parameterId}" method="put" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/{parameterId}" method="delete" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

## Environment Extensions

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/extensions/genai-enabled" method="get" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

## Bot Extensions

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/extensions/update-status/{extension}" method="post" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}

{% openapi src="<https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media&token=bba7f458-774e-440f-a5be-2ccdae938604>" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/extensions" method="get" %}
[eva-parameter-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2Frysrk7ycM8bMEbCfJBab%2Feva-parameter-4.7.0.yaml?alt=media\&token=bba7f458-774e-440f-a5be-2ccdae938604)
{% endopenapi %}
